Name:		opal
Summary:	Open Phone Abstraction Library
Version:	3.6.1
Release:	3.1.moblin2
URL:		http://www.opalvoip.org/
# We cannot use unmodified upstream source code because it contains the 
# non-free iLBC codec.
# rm -rf plugins/audio/iLBC/
# rm -rf src/codec/iLBCmf.cxx
#Source0:	ftp://ftp.gnome.org/pub/gnome/sources/%{name}/3.6/%{name}-%{version}.tar.bz2
Source0:	%{name}-%{version}-noilbc.tar.bz2
Patch0:		opal-3.6.1-noilbc.patch
Patch1:		opal-3.6.2.patch
License:	MPLv1.0
Group:		System Environment/Libraries
BuildRequires:	ptlib-devel = 2.6.1
BuildRequires:	openldap-devel
BuildRequires:	openssl-devel
BuildRequires:	libtheora-devel
BuildRequires:	speex-devel
BuildRequires:	SDL-devel
BuildRequires:	expat-devel

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
Open Phone Abstraction Library, implementation of the ITU H.323
teleconferencing protocol, and successor of the openh323 library.

%package devel
Summary:	Development package for opal
Group:		Development/Libraries
Requires:	opal = %{version}-%{release}
Requires:	openssl-devel
Requires:	ptlib-devel = 2.6.1
Requires:	pkgconfig

%description devel
The opal-devel package includes the development libraries and 
header files for opal.

%prep
%setup -q 
%patch0 -p1 -b .noilbc
%patch1 -p1 -b .3.6.2

%build
unset LD_AS_NEEDED
%configure --prefix=/usr

make OPTCCFLAGS="$RPM_OPT_FLAGS" %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT install

rm -f $RPM_BUILD_ROOT/%{_datadir}/opal/opal_inc.mak
rm -f $RPM_BUILD_ROOT/%{_libdir}/libopal_s.a

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc mpl-1.0.htm
%{_libdir}/*.so.*
%{_libdir}/%{name}-%{version}

%files devel
%defattr(-,root,root,-)
%doc mpl-1.0.htm docs/*
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/opal.pc

%changelog
* Tue Sep  8 2009 Xu Li <xu.li@intel.com> - 3.6.1-3
- unset LD_AS_NEEDED to fix the build issue
* Mon Aug 31 2009 Zhang Qiang  <qiang.z.zhang@intel.com> - 3.6.1-3
- Initial import to Moblin
* Sun Apr 26 2009 Peter Robinson <pbrobinson@gmail.com> - 3.6.1-3
- pull in some upstream fixes for possible crashes
* Tue Apr 21 2009 Tom "spot" Callaway <tcallawa@redhat.com> - 3.6.1-2
- pull out ilbc codec due to legal issues
* Wed Mar 18 2009 Peter Robinson <pbrobinson@gmail.com> - 3.6.1-1
- New stable release for ekiga 3.2.0
* Fri Mar  6 2009 Peter Robinson <pbrobinson@gmail.com> - 3.6.0-2
- Remove CELT until the bitstream is stable and can hence intercommunicate between versions
* Tue Mar  3 2009 Peter Robinson <pbrobinson@gmail.com> - 3.6.0-1
- New release for ekiga 3.1.2 beta
* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.5.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild
* Tue Feb 10 2009 Peter Robinson <pbrobinson@gmail.com> - 3.5.2-7
- Add patches to fix gcc44 compilation, remove celt until issues
  are fixed upstream
* Tue Feb  3 2009 Peter Robinson <pbrobinson@gmail.com> - 3.5.2-6
- Add support for the celt codec
* Mon Feb  2 2009 Peter Robinson <pbrobinson@gmail.com> - 3.5.2-5
- Fix blank soname
* Sat Jan 17 2009 Tomas Mraz <tmraz@redhat.com> - 3.5.2-4
- rebuild with new openssl
* Tue Jan 13 2009 Peter Robinson <pbrobinson@gmail.com> - 3.5.2-3
- Yet another dep that configure doesn't check and it just fails on
* Tue Jan 13 2009 Peter Robinson <pbrobinson@gmail.com> - 3.5.2-2
- Add a build dep
* Tue Jan  6 2009 Peter Robinson <pbrobinson@gmail.com> - 3.5.2-1
- New release for ekiga 3.1.0 beta
- Some updates from merge review
* Fri Dec  5 2008 Peter Robinson <pbrobinson@gmail.com> - 3.4.2-2
- Update spec to ensure we own directories
* Mon Oct 20 2008 Peter Robinson <pbrobinson@gmail.com> - 3.4.2-1
- Update to new stable release for ekiga 3.0.1
* Tue Sep 23 2008 Peter Robinson <pbrobinson@gmail.com> - 3.4.1-1
- Update to new stable release for ekiga 3
